# Title of your site
title: "Jens True"
baseurl: "https://jcktrue.dk/"

############################
## LANGUAGE
############################

defaultContentLanguage: en
hasCJKLanguage: false
defaultContentLanguageInSubdir: false
removePathAccents: true

############################
## ADVANCED
############################

enableGitInfo: true
summaryLength: 30
paginate: 10000
enableEmoji: true
enableRobotsTXT: true
footnotereturnlinkcontents: "<sup>^</sup>"
ignoreFiles: ["\\.ipynb$", ".ipynb_checkpoints$", "\\.Rmd$", "\\.Rmarkdown$", "_files$", "_cache$"]
disableAliases: true

outputs:
  home: [HTML, WebAppManifest]
  section: [HTML]

markup:
  defaultMarkdownHandler: goldmark
  goldmark:
    renderer:
      unsafe: true
  highlight:
    codeFences: false
  tableOfContents:
    startLevel: 2
    endLevel: 3


imaging:
  resampleFilter: "lanczos"
  quality: 90
  anchor: smart
timeout: 600000

security:
  _merge: deep
sitemap:
  _merge: deep
    - .*

minify:
  _merge: deep